List Custom Fields
curl --request GET \
--url https://integration.getmateo.com/api/v1/custom_field \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/custom_field"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "string",
"key": "<string>",
"entity": "contact"
}
]Custom Field
List Custom Fields
Retrieve a list of custom fields
List Custom Fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Custom field ID
Custom field creation date
Latest update
Organisation ID
Name of custom field
Custom field description
Typ of custom field
Custom field key
Filtering Columns
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Custom field ID
Custom field creation date
Latest update
Organisation ID
Name of custom field
Custom field description
Typ of custom field
Available options:
string, datetime, boolean, number, date, string_list Custom field key
Available options:
contact, deal, appointment